Metavault API - Get pit table satellite list

GetPitTableSatellites - GET

Path

/api/projects/{projectId}/model/{entityType}s/{entityId}/pit_tables/{pitTableId}/satellites

Http Method

GET

Overview

Retrieve satellites

Required permissions

None

Request

Path parameters

Parameter

Type

Required

Description

Example

entityType

string

Yes

The type of entity the satellites are attached to. One of:

  • hubs

  • links

hubs

entityId

string

Yes

The id of the link or hub

4a46da35-16dc-4e3e-9356-ecb6f4f61a29

pitTableId

string

Yes

The id of the pit table

999ee035-33dc-513e-9311-eeab00f61a29

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "satellites": [
      {
        "_embedded": {
          "columns": [
            {
              "id": "1777ed3a-491f-4b92-9ee4-2d15373fcd8f",
              "columnName": "mail",
              "dataType": "String",
              "required": false,
              "isComputed": false,
              "satelliteId": "b0fb8107-f479-4a3a-a0fb-d37057c3ec20",
              "order": 0,
              "length": 255,
              "isSequence": false,
              "typeFullName": "VARCHAR(255)"
            },
            {
              "id": "4bdec86a-772d-4cc4-a742-948afe99989a",
              "columnName": "name",
              "dataType": "String",
              "required": false,
              "isComputed": false,
              "satelliteId": "b0fb8107-f479-4a3a-a0fb-d37057c3ec20",
              "order": 1,
              "length": 255,
              "isSequence": false,
              "typeFullName": "VARCHAR(255)"
            }
          ]
        },
        "hubId": "f81e889e-4d64-405f-bf3c-9ac317fb046c",
        "displayName": "info",
        "deployedInProduction": false,
        "stagingTableId": "b27526087e1241bc9b654dee38bdfaf0",
        "isMultiActive": false,
        "parentType": "Hub",
        "parentId": "f81e889e-4d64-405f-bf3c-9ac317fb046c",
        "satelliteColumns": {
          "1777ed3a-491f-4b92-9ee4-2d15373fcd8f": {
            "id": "1777ed3a-491f-4b92-9ee4-2d15373fcd8f",
            "columnName": "mail",
            "dataType": "String",
            "required": false,
            "isComputed": false,
            "satelliteId": "b0fb8107-f479-4a3a-a0fb-d37057c3ec20",
            "columnOrder": 0,
            "length": 255,
            "isSequence": false
          },
          "4bdec86a-772d-4cc4-a742-948afe99989a": {
            "id": "4bdec86a-772d-4cc4-a742-948afe99989a",
            "columnName": "name",
            "dataType": "String",
            "required": false,
            "isComputed": false,
            "satelliteId": "b0fb8107-f479-4a3a-a0fb-d37057c3ec20",
            "columnOrder": 1,
            "length": 255,
            "isSequence": false
          }
        },
        "columns": [
          {
            "satelliteId": "b0fb8107-f479-4a3a-a0fb-d37057c3ec20",
            "columnName": "mail",
            "dataType": "String",
            "required": false,
            "isComputed": false,
            "columnOrder": 0,
            "length": 255,
            "isSequence": false,
            "id": "1777ed3a-491f-4b92-9ee4-2d15373fcd8f"
          },
          {
            "satelliteId": "b0fb8107-f479-4a3a-a0fb-d37057c3ec20",
            "columnName": "name",
            "dataType": "String",
            "required": false,
            "isComputed": false,
            "columnOrder": 1,
            "length": 255,
            "isSequence": false,
            "id": "4bdec86a-772d-4cc4-a742-948afe99989a"
          }
        ],
        "id": "b0fb8107-f479-4a3a-a0fb-d37057c3ec20",
        "name": "Employee_info",
        "entityType": "Satellite",
        "tableName": ""
      }
    ]
  },
  "sort": [],
  "index": 0,
  "limit": 10,
  "expand": [],
  "total": 1
}